Data
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
GET | |
GET |
Retrieve data warehouse running activity
Returns currently running activities (jobs with status 'Running'). Supports pagination and cutoff time filtering.
Query parameters
- cutoff_daysintegerDefault:
30 - kindstringDefault:
allOne of:"all""import""model" - limitintegerDefault:
20 - offsetintegerDefault:
0
Response
Example request
GET /api /projects /:project_id /data_warehouse /running_activityExample response
Status 200
RESPONSE
Status 500 The activity query failed.
RESPONSE
Retrieve data warehouse total rows stats
Returns aggregated statistics for the data warehouse total rows processed within the current billing period. Used by the frontend data warehouse scene to display usage information.
Response
Example request
GET /api /projects /:project_id /data_warehouse /total_rows_statsExample response
Status 200
RESPONSE
Status 500 Billing could not be reached.
RESPONSE
Retrieve data warehouse warehouse status
Get the current provisioning status of the managed warehouse, with this project's onboarding state.
Response
Example request
GET /api /projects /:project_id /data_warehouse /warehouse_statusExample response
Status 200
RESPONSE











